package com.realnet.generate_a_notes_20251007_113517-b.Services;
import com.realnet.generate_a_notes_20251007_113517-b.Repository.NotesappwireframeRepository;
import com.realnet.generate_a_notes_20251007_113517-b.Entity.Notesappwireframe
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;




	import org.springframework.stereotype.Service;

@Service
 public class NotesappwireframeService {
@Autowired
private NotesappwireframeRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;



public Notesappwireframe Savedata(Notesappwireframe data) {




	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Notesappwireframe save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Notesappwireframe> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Notesappwireframe> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Notesappwireframe> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Notesappwireframe getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Notesappwireframe update(Notesappwireframe data,Integer id) {
	Notesappwireframe old = Repository.findById(id).get();
old.setTitle(data.getTitle());

old.setContent(data.getContent());

final Notesappwireframe test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 




 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
